IF EXISTS (SELECT * FROM sysobjects WHERE type = 'P' AND name = 'RightsSelectBySubSystemIDA')
	BEGIN
		DROP  Procedure  RightsSelectBySubSystemIDA
	END

GO
/***********************************************
***功能描述：获取子系统中所有的权限
***传入传出参数：
***	@SubSystemID： 类型：varchar(6)，传入参数
***				   描述：子系统编号
***作者：
***建立时间:2009-1-6
***更改时间：
***更改人：
***更改原因：
	  ****************************************************/
CREATE PROCEDURE RightsSelectBySubSystemIDA
	(
	@SubSystemID varchar(6)
	)
AS
SELECT Rights.RightID,Rights.RightName,Rights.RightDisplayName,RightType=RightsType.TypeName,RightTypeID=RightsType.TypeID,Rights.RightMemo
	FROM Rights
	INNER JOIN RightsType
		ON RightsType.TypeID = Rights.RightTypeID
	WHERE Rights.SubSystemID=@SubSystemID
	ORDER BY RightsType.TypeID